package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.OrderLogistics;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.OrderLogisticsMapper")
public interface OrderLogisticsMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(OrderLogistics record);

    OrderLogistics selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderLogistics record);

    List<OrderLogistics> queryAllOrderLogistics(OrderLogistics record);

    List<OrderLogistics> queryOrderLogisticsByPage(Map<String, Object> parameter);

    int delete(String id);

    OrderLogistics queryOrderLogistics(OrderLogistics record);

    List<OrderLogistics> query(OrderLogistics record);
}

